/*
 * Asterisk -- An open source telephony toolkit.
 *
 * Paths to configurable Asterisk directories
 *
 * Copyright (C) 1999-2006, Digium, Inc.
 *
 * Mark Spencer <markster@digium.com>
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License
 */

/*! \file
 * \brief Asterisk file paths, configured in asterisk.conf
 */

#ifndef _ASTERISK_PATHS_H
#define _ASTERISK_PATHS_H

extern const char *ast_config_AST_CONFIG_DIR;
extern const char *ast_config_AST_CONFIG_FILE;
extern const char *ast_config_AST_MODULE_DIR;
extern const char *ast_config_AST_SPOOL_DIR;
extern const char *ast_config_AST_MONITOR_DIR;
extern const char *ast_config_AST_RECORDING_DIR;
extern const char *ast_config_AST_VAR_DIR;
extern const char *ast_config_AST_DATA_DIR;
extern const char *ast_config_AST_LOG_DIR;
extern const char *ast_config_AST_AGI_DIR;
extern const char *ast_config_AST_DB;
extern const char *ast_config_AST_KEY_DIR;
extern const char *ast_config_AST_PID;
extern const char *ast_config_AST_SOCKET;
extern const char *ast_config_AST_RUN_DIR;
extern const char *ast_config_AST_RUN_GROUP;
extern const char *ast_config_AST_RUN_USER;
extern const char *ast_config_AST_SYSTEM_NAME;
extern const char *ast_config_AST_SBIN_DIR;

#endif /* _ASTERISK_PATHS_H */
